/* General Reset and Defaults */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: Arial, sans-serif;
  line-height: 1.4;
  padding: 20px;
  font-size: 18px;
}

/* Typography */
h2 {
  margin: 30px 0 10px;
  font-size: 1.8em;
}

h3 {
  margin: 30px 0 5px;
  font-size: 1.4em;
}

h4 {
  margin: 1px 0 10px;
  font-size: 1.1em;
}

/* Images, Video, Audio */
img, video {
  max-width: 100%;
  height: auto;
}

audio {
  width: 100%;
  height: 40px;
}
.center-image {
  display: block;
  margin-left: auto;
  margin-right: auto;
}

/* Default Navbar Styles*/
.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background: #333;
  color: white;
  padding: 15px 20px;
  position: relative;
}

.navbar .logo {
  font-size: 1.55em;
  white-space: nowrap;
}

.navbar .hamburger {
  background: none;
  border: none;
  font-size: 1.7em;
  color: white;
  display: block;
  cursor: pointer;
}

.navbar .nav-links {
  list-style: none;
  display: none;
  flex-direction: column;
  position: absolute;
  top: 100%;
  right: 0;
  width: 250px;
  background-color: #333;
  border: 1px solid #222;
  border-radius: 0 0 8px 8px;
  z-index: 1000; /* Raised for safety */
}

.navbar .nav-links.active {
  display: flex;
}
/*Nav Bar styles for bigger screens*/
@media (min-width: 769px) {
  .navbar .hamburger {
    font-size: 2em;
  }
  .navbar .nav-links {
    width: 300px; /* wider dropdown on larger screens */
  }
}
.navbar .nav-links li {
  padding: 15px 20px;
  font-size: 1.2em;
  border-bottom: 1px solid #444;
  
}

.navbar .nav-links li:last-child {
  border-bottom: none;
}

.navbar .nav-links li a {
  color: white;
  text-decoration: none;
  font-size: 0.95em;
  
}


/* Layout Classes */

.text-list li {
	padding-left: 1px;
}
.centered {
  text-align: center;
  padding: 20px;
}

.left-aligned {
  text-align: left;
  padding: 20px;
}
.left-aligned-image {
  text-align: left;
  padding: 5px;
}
.side-by-side {
  display: flex;
  justify-content: center;
  gap: 20px;
  padding: 20px;
  flex-wrap: wrap;
}

.image-text {
  display: flex;
  gap: 20px;
  padding: 20px;
  align-items: center;
  flex-wrap: wrap;
}

.image-text img {
  max-width: 45%;
}

.audio {
  max-width: 1000px;
  width: 100%;
}
.video-section video {
margin: 20px 0;
border-radius: 8px;
max-width: 70%;
height: auto;
}

/* Responsive Adjustments */
@media (max-width: 768px) {
  body {
    font-size: 15px;
  }

  .side-by-side,
  .image-text {
    flex-direction: column;
    gap: 10px;
  }

  .image-text img {
    max-width: 100%;
  }
}
